Puppet Enterprise 2016.5

The following browsers are supported for use with the PE console:

  • Google Chrome: Current version, as of release
  • Mozilla Firefox: Current version, as of release
  • Microsoft Edge: Current version, as of release
  • Microsoft Internet Explorer: 11
  • Apple Safari: 9
Back to top